List data sources
curl --request GET \
--url https://{region}.affinda.com/v3/mapping_data_sources \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.affinda.com/v3/mapping_data_sources"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.affinda.com/v3/mapping_data_sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"count": 10,
"results": [
{
"identifier": "mEFayXdO",
"keyProperty": "value",
"displayProperty": "value",
"organization": "mewlkWEKL",
"workspace": "mewlkWEKL",
"name": "My supplier list",
"schema": {
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"label"
],
"properties": {
"label": {
"type": "string"
},
"description": {
"type": "string"
}
}
}
}
],
"next": "<string>",
"previous": "<string>"
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Data Sources
List data sources
Returns the list of all custom mapping data sources.
GET
/
v3
/
mapping_data_sources
List data sources
curl --request GET \
--url https://{region}.affinda.com/v3/mapping_data_sources \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.affinda.com/v3/mapping_data_sources"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.affinda.com/v3/mapping_data_sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"count": 10,
"results": [
{
"identifier": "mEFayXdO",
"keyProperty": "value",
"displayProperty": "value",
"organization": "mewlkWEKL",
"workspace": "mewlkWEKL",
"name": "My supplier list",
"schema": {
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"label"
],
"properties": {
"label": {
"type": "string"
},
"description": {
"type": "string"
}
}
}
}
],
"next": "<string>",
"previous": "<string>"
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Authorizations
Basic authentication using an API key, e.g. {Authorization: Bearer aff_0bb4fbdf97b7e4111ff6c0015471094155f91}.
You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.
Query Parameters
The number of documents to skip before starting to collect the result set.
Required range:
x >= 0Example:
0
The numbers of results to return.
Required range:
1 <= x <= 100Example:
20
Filter by name.
Example:
"My supplier list"
Filter by organization. Uniquely identify an organization.
Example:
"mEFayXdO"
Filter by workspace. Uniquely identify a workspace.
Example:
"mEFayXdO"
Filter by identifier. Uniquely identify a mapping data source.
Example:
"mEFayXdO"
Was this page helpful?
⌘I